#include <bits/stdc++.h>
#include "vision.h"

using namespace std;

vector<int> getVisionPattern1d()
{
    return {1,2,3,4,5};
}
int getMove1d(vector<int> v)
{
    int n=v.size(),put;
    vector<int> poz(20,-1);
    for(int i=0;i<v.size();i++)
        poz[v[i]]=i;
    put=v[(v.size()-1)/2];
    if(put==1)
        return poz[2];
    if(put==2)
        return poz[4];
    if(put==3)
        return poz[4];
    if(put==4)
        return poz[3];
    if(put==5)
        return poz[3];
}
vector<vector<int>> getVisionPattern2d()
{
    //
}
pair<int,int> getMove2d(vector<vector<int>> v)
{
    //
}
